/******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *    IBM Corporation - initial API and implementation 
 ****************************************************************************/

package org.eclipse.gmf.runtime.emf.type.core.internal.descriptors;

/**
 * The configuration element and attribute names for the
 * <code>org.eclipse.gmf.runtime.emf.type.core.elementTypes</code> extension point.
 * 
 * @author ldamus
 */
public class ElementTypeXmlConfig {

	public static final String E_METAMODEL = "metamodel";//$NON-NLS-1$

	public static final String E_METAMODEL_TYPE = "metamodelType";//$NON-NLS-1$

	public static final String E_SPECIALIZATION_TYPE = "specializationType";//$NON-NLS-1$

	public static final String E_ADVICE_BINDING = "adviceBinding";//$NON-NLS-1$

	public static final String E_ELEMENT_TYPE_FACTORY = "elementTypeFactory";//$NON-NLS-1$

	public static final String E_PARAM = "param";//$NON-NLS-1$

	public static final String A_NSURI = "nsURI";//$NON-NLS-1$

	public static final String A_ID = "id";//$NON-NLS-1$

	public static final String A_TYPE_ID = "typeId";//$NON-NLS-1$

	public static final String A_INHERITANCE = "inheritance";//$NON-NLS-1$

	public static final String A_NAME = "name";//$NON-NLS-1$

	public static final String A_VALUE = "value";//$NON-NLS-1$

	public static final String A_ICON = "icon";//$NON-NLS-1$

	public static final String A_KIND = "kind";//$NON-NLS-1$

	public static final String A_FACTORY = "factory";//$NON-NLS-1$

	public static final String A_PARAMS = "params";//$NON-NLS-1$

	public static final String A_ECLASS = "eclass";//$NON-NLS-1$

	public static final String A_EDIT_HELPER = "edithelper";//$NON-NLS-1$

	public static final String A_EDIT_HELPER_ADVICE = "edithelperadvice";//$NON-NLS-1$

	public static final String E_SPECIALIZES = "specializes";//$NON-NLS-1$

	public static final String E_ECONTAINER = "eContainer";//$NON-NLS-1$

	public static final String E_ECONTAINMENT_FEATURE = "eContainmentFeature";//$NON-NLS-1$

	public static final String A_QNAME = "qname"; //$NON-NLS-1$

	public static final String E_MATCHER = "matcher"; //$NON-NLS-1$

	public static final String A_CLASS = "class"; //$NON-NLS-1$

	public static final String E_ENABLEMENT = "enablement"; //$NON-NLS-1$

}